summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-08-20 17:51:01 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-08-20 17:51:01 +0000
commit989d360380f1d03196699d424b11b214e69c6c00 (patch)
tree3ae0de28b6c2463620508254d73fff1396be3f73 /dev-python
parent99caa6d494963fef83337c8809801ac51187d07f (diff)
downloadbaldeagleos-repo-989d360380f1d03196699d424b11b214e69c6c00.tar.gz
baldeagleos-repo-989d360380f1d03196699d424b11b214e69c6c00.tar.xz
baldeagleos-repo-989d360380f1d03196699d424b11b214e69c6c00.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.40.13.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.40.13.ebuild67
-rw-r--r--dev-python/flask/Manifest1
-rw-r--r--dev-python/flask/flask-3.1.2.ebuild55
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild6
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/pymongo/Manifest1
-rw-r--r--dev-python/pymongo/pymongo-4.14.1.ebuild201
-rw-r--r--dev-python/pytest-fixture-classes/Manifest1
-rw-r--r--dev-python/pytest-fixture-classes/metadata.xml10
-rw-r--r--dev-python/pytest-fixture-classes/pytest-fixture-classes-1.0.3.ebuild32
-rw-r--r--dev-python/pytest-lazy-fixtures/Manifest1
-rw-r--r--dev-python/pytest-lazy-fixtures/pytest-lazy-fixtures-1.3.4.ebuild37
-rw-r--r--dev-python/qiskit/Manifest1
-rw-r--r--dev-python/qiskit/qiskit-2.1.2.ebuild109
-rw-r--r--dev-python/ruamel-yaml/Manifest1
-rw-r--r--dev-python/ruamel-yaml/ruamel-yaml-0.18.15.ebuild50
-rw-r--r--dev-python/sqlglot/Manifest5
-rw-r--r--dev-python/sqlglot/sqlglot-27.6.0.ebuild179
-rw-r--r--dev-python/sqlglot/sqlglot-27.8.0.ebuild (renamed from dev-python/sqlglot/sqlglot-27.5.1.ebuild)3
-rw-r--r--dev-python/time-machine/Manifest1
-rw-r--r--dev-python/time-machine/time-machine-2.19.0.ebuild37
-rw-r--r--dev-python/wrapt/Manifest1
-rw-r--r--dev-python/wrapt/wrapt-2.0.0_rc2.ebuild35
28 files changed, 709 insertions, 205 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 974f3b56efa8..ce0d26a4e868 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,6 +3,7 @@ DIST boto3-1.40.1.gh.tar.gz 978197 BLAKE2B c93f3550d41c13292dd8f4dcaab9d896faca1
DIST boto3-1.40.10.gh.tar.gz 984242 BLAKE2B 3d51a264c47daea902d580911a72f6539f7051a3efded16cea995e2b46c948d90be8998ea3810cdc5118d24251fcdfce64d6b64e58060640401694100d9d41ac SHA512 ebe751526f4237f5a6ad2fe4cbd6317f81f456bc59787a89cfe57e4f3ab4ebcb9e68109e506fd06293642fe85372600adbbba2ad2484805cd3ecebe951e776e5
DIST boto3-1.40.11.gh.tar.gz 984481 BLAKE2B f484d37bd38fe8bc80ec6a8e64ecf85eeec8a4c777e30d11a0d108a135d31b2b96a684095fc4ef868def656f04f23d652459bb000f9f8764a27434fbfb923a01 SHA512 bcee5774a56a99ebc23bddaa49f89d85f128f02bb0eb95b9d04dec7c6b335464545fd6d0ad117ac6cb6766d17919049f174057349dd37a4262ed3fd7a654feb2
DIST boto3-1.40.12.gh.tar.gz 985061 BLAKE2B 6b79d1140a15c3249f65f4602c6aa3a25fde1ddb77a78bb29da735948989c48230b00e56702a61d7f629fdd79f733df8daba850fab5ac23597d935edf7872ce5 SHA512 6377af0bd3d3e7c46656cfcfa63310c6ea812a6ae5117130678e37043599e11068d57e4ed6fee535816a27c4f6d32cdf6f6c4d3518c51c06137e104ba1b5b185
+DIST boto3-1.40.13.gh.tar.gz 985237 BLAKE2B 59105016832af39262fe10a200ae1286da249fb481666a81cd4379ee9727960febcd426adbd9173f9793471e14f5a8c9a03f69c9b1d0f522a821da1f4ea2d09c SHA512 d791e7f1eb4a3b0232e6f813d0aca0c3212c57ceac2fec303224681dbc67876a19cc0bf8e6706a88dc300ac555a2c6c1f8ce4419fe366ddfbe7fd7719272fce6
DIST boto3-1.40.6.gh.tar.gz 981330 BLAKE2B 929b4326d8d48e46750128e6236776b86fd5e59f0aab113e3ec797f18f138c7f52b30a79724f97de8083fd8e8baa04169e68e219ef5acf592561dabb838b4374 SHA512 65431a0d084298f51e0eee1753119f811261e9e57fdc5fa0491c9ce8d4fc745e705aed22527c8c06e003227c5c0bccc1a659e04bcc96a68fafb61bc53ec70a84
DIST boto3-1.40.7.gh.tar.gz 982158 BLAKE2B 36ab4722eab1c76514138e93e4ebf5ebf50714649d02c7465ecdbc74fdf32921270d3a71d67ffc788940ba0ef1b4c4b9e588c7c7777171de91dceecde18f7559 SHA512 48b237fb61d28f44543dbb6e4ea19e2dfd8c766ca9e7c17ef0d7728af72eed09a7ecb6354427d6aacf89a28a6dc54391c665a5aa248b65680918f9518f33dbbf
DIST boto3-1.40.8.gh.tar.gz 982609 BLAKE2B 2078913b650e09d356efb8c79c1a916c1574472b94e787d8e961fb3cdf8b646800bc4d01792c333f04117b877d51c3387054b3146482228c77265bb47936409b SHA512 1ea19fbb142400e8b17c345f2f94c14f6a7f13e12cdcf76714c7a28eb50a9cb038784b0c79d20587586bb0c1c21b0a42e12b8687beae364c6bd3b5b5b5fc51ed
diff --git a/dev-python/boto3/boto3-1.40.13.ebuild b/dev-python/boto3/boto3-1.40.13.ebuild
new file mode 100644
index 000000000000..bd6e26787db4
--- /dev/null
+++ b/dev-python/boto3/boto3-1.40.13.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.13.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 7f0d85b23cde..43a65f3b833d 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -3,6 +3,7 @@ DIST botocore-1.40.1.gh.tar.gz 15055179 BLAKE2B 0fd7e4f74e51fe45284fe550bb853964
DIST botocore-1.40.10.gh.tar.gz 15122814 BLAKE2B bf89d87f5e5f550bf45dee6bf827b99d12ce5e3240f47449a5e67eb5735323d92ac768bdb9b3de96dd8df8738ba21b357edee94750543686378eee119804418f SHA512 e855a5166dfcbd3562d1ca1192444967484306d93b71861ff4c238376b719482522825da7dd42556cf7fc2ffed5584f1b817db0c2f5ccbd225a2a8d65251abb8
DIST botocore-1.40.11.gh.tar.gz 15124864 BLAKE2B 3a9657b4d0d5c0f86f68f1e7c9fd2fa7145b807e015abb64c20c0ad80ce337b660cf617de3e0b1d5524eb7d766afa75aa253b1388383fdfe8509599b8d9bb200 SHA512 853bec0829b5fc17d373c3f9d617be671abb145dbffd0a672f3a9fe48a0b7c8099310bce43ca84f45a72aca1fbabbfb6acf74aefa5bf11fc1baf751959d098b7
DIST botocore-1.40.12.gh.tar.gz 15136147 BLAKE2B bcf52602e06b58a6576f93b6877bd5c9a1d506afaebcd4d7fbe1116e4da088504278ea4bbd00e9714f5ffab1901e086a4690cd0d7c18055e3dfbc9141b802695 SHA512 cad0e44af507be66a0f9b256544fdbf4b6f60d4aa9c5c3318a3761087aa88b8b056b550a02c55346bd3bd07362548871c4a13be02d93dec44cbc8428ca1d8224
+DIST botocore-1.40.13.gh.tar.gz 15137401 BLAKE2B 3fb4a7f7a5b39ceb090599616838eecdb5dfae0a87553c2e2f30ae78d037c8043434e5755c915bc2991b403455a6dfdd3d576a9e72ef4de588a4b560d9157b97 SHA512 1ae9b73fc4f522d6c099c2483ec871156297a1f974e24c56299037690a28ee2b5a5b9f28c4fa5b6ca150febcd37630aec3ee1e5744aa7f7c5d53afa660a49753
DIST botocore-1.40.6.gh.tar.gz 15096678 BLAKE2B fb76ace4058c814bb8ef17bb216f5f7355eec401e4108d8a6569e07f97b14becb9e99652364dacb7e46e62f3ffaea2e5e1cd241ae832fe0a359ed58bbcfe3500 SHA512 faa311f29da484083f49a9ae7beda844b8878750c7474916ff7200b4a5fdc01e26295923c7a0f0bc4e4b1c22e5381f69546b8685fdeb2112f1c61810d3c9b58d
DIST botocore-1.40.7.gh.tar.gz 15098734 BLAKE2B d1ac4800e3cdce6a47f4c9da23b30768df3acad0113bf9da87ae2523d74840a79ee29775c072615e2080f7e98b268060801fe9cec653f5b1251c3b6d592422f6 SHA512 e1e81e4d0d0224614680244e4f7986f47a3042039b50ad61ceb4c589a14d11eaacfa1aa501a5791174a202813bd1db256802a73fb8d66c2b517d75ddfa67760b
DIST botocore-1.40.8.gh.tar.gz 15100807 BLAKE2B 0ecd33358b2d6edd6646b092fbc50d90ce4a5accf5427f9296a6bf66f610018659a75abf7f80375e40a561ca7b09139736b1cab0920810f97e65d6060adb20e7 SHA512 18db4b3c2f546700eccebc92e13b0e0ad57c98a0e2f1a5aeab0ea5f710d952d0206e8e4a9ce8f91da756c4f9589f6c5be80341dd6d5ed052ce9ae205a8dec2dd
diff --git a/dev-python/botocore/botocore-1.40.13.ebuild b/dev-python/botocore/botocore-1.40.13.ebuild
new file mode 100644
index 000000000000..a931fcaefec4
--- /dev/null
+++ b/dev-python/botocore/botocore-1.40.13.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/flask/Manifest b/dev-python/flask/Manifest
index 5e8c4184384a..a5d70980f977 100644
--- a/dev-python/flask/Manifest
+++ b/dev-python/flask/Manifest
@@ -1 +1,2 @@
DIST flask-3.1.1.tar.gz 753440 BLAKE2B 272ffc7c97ed68c8929e4b9aa41b6efac0beb205471e60e5a14030328be28fe629fe35d02440920abedc27d288ba20d36221c83aa6f64ef090d6ed3b248576bd SHA512 b582b71e10f72c2096f4a665a8182775165f48eece8bcded9ca5791bc575e3333ac913fb355279f0bee93fc57c16f9a8b635b329bfd71ed42df2b288c1a69741
+DIST flask-3.1.2.tar.gz 720160 BLAKE2B 504b78897fb62ebed541d63edb14063dce70cf6f5aaabfa2e53570f64ca2184ff1ba5720f559efa9fdb477917370e256619a97b9250e38559a8f759b2cbfb4d3 SHA512 4eacac745cc285d82956a040385ec08d134ef639a7fe802a0bbb8b8d92e0c341668eed3ab49eedf4500796b7f1d54930e6a94515f88daedb39928fdbc693ac9b
diff --git a/dev-python/flask/flask-3.1.2.ebuild b/dev-python/flask/flask-3.1.2.ebuild
new file mode 100644
index 000000000000..49468ddd8a37
--- /dev/null
+++ b/dev-python/flask/flask-3.1.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A microframework based on Werkzeug, Jinja2 and good intentions"
+HOMEPAGE="
+ https://palletsprojects.com/p/flask/
+ https://github.com/pallets/flask/
+ https://pypi.org/project/Flask/
+"
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://github.com/mitsuhiko/flask.git"
+ inherit git-r3
+else
+ inherit pypi
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="examples"
+
+RDEPEND="
+ >=dev-python/blinker-1.9[${PYTHON_USEDEP}]
+ >=dev-python/click-8.1.3[${PYTHON_USEDEP}]
+ >=dev-python/itsdangerous-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.1.2[${PYTHON_USEDEP}]
+ >=dev-python/werkzeug-3.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/asgiref-3.2[${PYTHON_USEDEP}]
+ !!dev-python/shiboken2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/pallets-sphinx-themes \
+ dev-python/sphinx-issues \
+ dev-python/sphinx-tabs \
+ dev-python/sphinxcontrib-log-cabinet
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..d12ab8aeaca8 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9cd8a2a93a8d45bf51fe2324402b175d641762ea591fcb99459427f977a95eccffa6ca4777ca4df39814eea6eac62711567faa654456d32f79023a4685804504 SHA512 d973b85ba1a44389a4275f02a779a93a005f7c2e096467b94b072862e4984d5b42cf33f9821ac68aa5b85b12c98983a90b96049989d8c84497969174b6bb838e
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 99577c43fc3e..56733bbffc48 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
DISTUTILS_USE_PEP517=setuptools
inherit distutils-r1 pypi
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index c0f74ac187e2..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>pastalian46@gmail.com</email>
- <name>Takuya Wakazono</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pymongo/Manifest b/dev-python/pymongo/Manifest
index 7ba1d6cee86e..76500da488c1 100644
--- a/dev-python/pymongo/Manifest
+++ b/dev-python/pymongo/Manifest
@@ -3,3 +3,4 @@ DIST mongo-python-driver-4.13.0.gh.tar.gz 2225613 BLAKE2B e5532776e494b75a0beadb
DIST mongo-python-driver-4.13.1.gh.tar.gz 2225917 BLAKE2B 2c02e608f54c68abebb69cd61f16c79c8388301e6ebe77a73959ba3dbe086c878b3afd1523f6943ddfca228e1115cbaade49c29c2e5bb620feab9214dcbfba11 SHA512 8baf5548d5772fa62fef2a4ac2fa7dc83bcf7fda178410e9bf675679ea77976f72548a0794ced6856ea538d02403a3c522a66cbf2e37f506b4546489a689ce92
DIST mongo-python-driver-4.13.2.gh.tar.gz 2227437 BLAKE2B 3aa6d0feedc6a33eb4e9299d85eeab2a9638bf713cfadf9f4018f6bd668758d3afd5b9b4b71dec037fb3f99e89cc34e299e1d9b4521c8ace9da9ce50ae95142b SHA512 845cf92e702a9970f2ef1b5085fffcca96021e0f2fc5133e24b2860482dafabe7770d9421922659d0c6008aac1d5a70834ee4f1728a648fd83e6d33bc33568b0
DIST mongo-python-driver-4.14.0.gh.tar.gz 2270296 BLAKE2B 9e417ff0078dcc84992d9f7238b42aece900b7d1345fdd073a0dcc6a01377f40f51a8ad1318bab62d96c3739910f2c3be96f355aafadac805abfe5dd801a6155 SHA512 be26f052226784c2b19454740d956b129353afe75d67649504fba208c7fa9c599b782ab40cf4574577759de54a13ed817e295ba7f8b36667181095b5cb67a4bd
+DIST mongo-python-driver-4.14.1.gh.tar.gz 2271379 BLAKE2B 5a1ce13c5275657ee3d64fc0450a20e9c6c3bbfd91bfde6e6e3e8f143b95ea63d18b5cf2b8ba3b707f642eea900894a56889d6bf1d7d9f11f6cfa556a9b7b10b SHA512 087c0450ee1d261cdcb8558d75b4749395058773a33849d94824e2fca0157d0eb4c3f5545a4ddfc0b1bc645a52988f515a90be978f4f88c6a3db4dffa2f9ff9e
diff --git a/dev-python/pymongo/pymongo-4.14.1.ebuild b/dev-python/pymongo/pymongo-4.14.1.ebuild
new file mode 100644
index 000000000000..785882f3e12a
--- /dev/null
+++ b/dev-python/pymongo/pymongo-4.14.1.ebuild
@@ -0,0 +1,201 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit check-reqs distutils-r1
+
+MY_P=mongo-python-driver-${PV}
+DESCRIPTION="Python driver for MongoDB"
+HOMEPAGE="
+ https://github.com/mongodb/mongo-python-driver/
+ https://pypi.org/project/pymongo/
+"
+SRC_URI="
+ https://github.com/mongodb/mongo-python-driver/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="doc kerberos +native-extensions +test-full"
+
+RDEPEND="
+ <dev-python/dnspython-3.0.0[${PYTHON_USEDEP}]
+ kerberos? ( dev-python/kerberos[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ test-full? (
+ >=dev-db/mongodb-2.6.0
+ )
+ )
+"
+
+distutils_enable_sphinx doc
+
+EPYTEST_PLUGINS=( pytest-asyncio )
+EPYTEST_RERUNS=5
+distutils_enable_tests pytest
+
+reqcheck() {
+ if use test && use test-full; then
+ # During the tests, database size reaches 1.5G.
+ local CHECKREQS_DISK_BUILD=1536M
+
+ check-reqs_${1}
+ fi
+}
+
+pkg_pretend() {
+ reqcheck pkg_pretend
+}
+
+pkg_setup() {
+ reqcheck pkg_setup
+}
+
+src_prepare() {
+ distutils-r1_src_prepare
+ # we do not want hatch-requirements-txt and its ton of NIH deps
+ sed -i -e '/requirements/d' pyproject.toml || die
+}
+
+python_compile() {
+ # causes build errors to be fatal
+ local -x TOX_ENV_NAME=whatever
+ local DISTUTILS_ARGS=()
+ # unconditionally implicitly disabled on pypy3
+ if ! use native-extensions; then
+ export NO_EXT=1
+ else
+ export PYMONGO_C_EXT_MUST_BUILD=1
+ unset NO_EXT
+ fi
+
+ distutils-r1_python_compile
+
+ # upstream forces setup.py build_ext -i in their setuptools hack
+ find -name '*.so' -delete || die
+}
+
+python_test() {
+ rm -rf bson pymongo || die
+
+ local EPYTEST_DESELECT=(
+ # network-sandbox
+ test/asynchronous/test_async_loop_unblocked.py::TestClientLoopUnblocked::test_client_does_not_block_loop
+ test/asynchronous/test_client.py::AsyncClientUnitTest::test_connection_timeout_ms_propagates_to_DNS_resolver
+ test/asynchronous/test_client.py::AsyncClientUnitTest::test_detected_environment_logging
+ test/asynchronous/test_client.py::AsyncClientUnitTest::test_detected_environment_warning
+ test/asynchronous/test_client.py::TestClient::test_service_name_from_kwargs
+ test/asynchronous/test_client.py::TestClient::test_srv_max_hosts_kwarg
+ test/test_client.py::ClientUnitTest::test_connection_timeout_ms_propagates_to_DNS_resolver
+ test/test_client.py::ClientUnitTest::test_detected_environment_logging
+ test/test_client.py::ClientUnitTest::test_detected_environment_warning
+ test/test_client.py::TestClient::test_service_name_from_kwargs
+ test/test_client.py::TestClient::test_srv_max_hosts_kwarg
+ test/test_dns.py::TestCaseInsensitive::test_connect_case_insensitive
+ test/asynchronous/test_dns.py::IsolatedAsyncioTestCaseInsensitive::test_connect_case_insensitive
+ test/test_srv_polling.py
+ test/asynchronous/test_srv_polling.py
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_custom_srvServiceName
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_invalid_type_for_srvMaxHosts
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_negative_integer_for_srvMaxHosts
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_positive_srvMaxHosts_and_loadBalanced=fa
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_srvMaxHosts
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_srvMaxHosts=0_and_loadBalanced=true
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_srvMaxHosts=0_and_replicaSet
+
+ # broken regularly by changes in mypy
+ test/test_typing.py::TestMypyFails::test_mypy_failures
+
+ # fragile to timing? fails because we're getting too many logs
+ test/test_connection_logging.py::TestConnectionLoggingConnectionPoolOptions::test_maxConnecting_should_be_included_in_connection_pool_created_message_when_specified
+
+ # hangs?
+ test/asynchronous/test_grid_file.py::AsyncTestGridFile::test_small_chunks
+
+ # broken async tests?
+ test/asynchronous/test_encryption.py
+
+ # -Werror
+ test/test_read_preferences.py::TestMongosAndReadPreference::test_read_preference_hedge_deprecated
+ test/asynchronous/test_read_preferences.py::TestMongosAndReadPreference::test_read_preference_hedge_deprecated
+
+ # fragile to timing? Internet?
+ test/test_client.py::TestClient::test_repr_srv_host
+ test/asynchronous/test_client.py::TestClient::test_repr_srv_host
+ test/asynchronous/test_ssl.py::TestSSL::test_pyopenssl_ignored_in_async
+ )
+
+ if ! use test-full; then
+ # .invalid is guaranteed to return NXDOMAIN per RFC 6761
+ local -x DB_IP=mongodb.invalid
+ epytest -p asyncio
+ return
+ fi
+
+ # Yes, we need TCP/IP for that...
+ local -x DB_IP=127.0.0.1
+ local -x DB_PORT=27000
+
+ local dbpath=${TMPDIR}/mongo.db
+ local logpath=${TMPDIR}/mongod.log
+
+ local failed=
+ mkdir -p "${dbpath}" || die
+ while true; do
+ ebegin "Trying to start mongod on port ${DB_PORT}"
+
+ # mongodb is extremely inefficient
+ # https://www.mongodb.com/docs/manual/reference/ulimit/#review-and-set-resource-limits
+ ulimit -n 64000 || die
+
+ local mongod_options=(
+ --dbpath "${dbpath}"
+ --bind_ip "${DB_IP}"
+ --port "${DB_PORT}"
+ --unixSocketPrefix "${TMPDIR}"
+ --logpath "${logpath}"
+ --fork
+
+ # try to reduce resource use
+ --wiredTigerCacheSizeGB 0.25
+ )
+
+ LC_ALL=C mongod "${mongod_options[@]}" && sleep 2
+
+ # Now we need to check if the server actually started...
+ if [[ ${?} -eq 0 && -S "${TMPDIR}"/mongodb-${DB_PORT}.sock ]]; then
+ # yay!
+ eend 0
+ break
+ elif grep -q 'Address already in use' "${logpath}"; then
+ # ay, someone took our port!
+ eend 1
+ : $(( DB_PORT += 1 ))
+ continue
+ else
+ eend 1
+ eerror "Unable to start mongod for tests. See the server log:"
+ eerror " ${logpath}"
+ die "Unable to start mongod for tests."
+ fi
+ done
+
+ nonfatal epytest -m "default or default_async or encryption" || failed=1
+
+ mongod --dbpath "${dbpath}" --shutdown || die
+
+ [[ ${failed} ]] && die "Tests fail with ${EPYTHON}"
+
+ rm -rf "${dbpath}" || die
+}
diff --git a/dev-python/pytest-fixture-classes/Manifest b/dev-python/pytest-fixture-classes/Manifest
new file mode 100644
index 000000000000..becbaee92da8
--- /dev/null
+++ b/dev-python/pytest-fixture-classes/Manifest
@@ -0,0 +1 @@
+DIST pytest-fixture-classes-1.0.3.gh.tar.gz 15645 BLAKE2B fae0681761958826460a946af7f033269a66fc90ad2b12b44d8336869e9f6a4016319846820f8e3204c44fd0feff5bd9125e2c5f350f07c0f7297a02aaf8800e SHA512 cfe2af8f80e4c75b0979d9b310d1655bad81a81f3c50a1052bff85c4ce892c2f530a72d9cd8c6d286b076dc2c37db6b0ce50cd939361fd7d4395c60989371dc8
diff --git a/dev-python/pytest-fixture-classes/metadata.xml b/dev-python/pytest-fixture-classes/metadata.xml
new file mode 100644
index 000000000000..a0d4c5913ba0
--- /dev/null
+++ b/dev-python/pytest-fixture-classes/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pytest-fixture-classes/pytest-fixture-classes-1.0.3.ebuild b/dev-python/pytest-fixture-classes/pytest-fixture-classes-1.0.3.ebuild
new file mode 100644
index 000000000000..37ff7e64a446
--- /dev/null
+++ b/dev-python/pytest-fixture-classes/pytest-fixture-classes-1.0.3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Fixtures as classes"
+HOMEPAGE="
+ https://github.com/zmievsa/pytest-fixture-classes/
+ https://pypi.org/project/pytest-fixture-classes/
+"
+# No tests in 1.0.3
+SRC_URI="
+ https://github.com/zmievsa/pytest-fixture-classes/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/pytest[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.4.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
diff --git a/dev-python/pytest-lazy-fixtures/Manifest b/dev-python/pytest-lazy-fixtures/Manifest
index 030bfc55e788..055f29ba301c 100644
--- a/dev-python/pytest-lazy-fixtures/Manifest
+++ b/dev-python/pytest-lazy-fixtures/Manifest
@@ -1,2 +1,3 @@
DIST pytest_lazy_fixtures-1.3.2.tar.gz 34114 BLAKE2B 7c3f53fbd12a6af4de3a7d43364e8a6b0a061e059c784ddbec0a83c6cd95f31f7537e5b60a6b7435a25c0fac49a24574af7df8a22d948be4d4fcec9469f1e2e9 SHA512 a9f5972cd936b2861dfc346b6aa156222ae45f3a2e1f794d9c6e6516dca36fbc5c1b08c9b129d98be4701acaed468bca722d2d7767531ef5c26731829cb044ac
DIST pytest_lazy_fixtures-1.3.3.tar.gz 34294 BLAKE2B bab4edfca0a889893b4b098b9bce21202007965920b08330edd7fa34e9d31f6648f82a58be19aa61f33e006a8ed0fb0cbd7c845dffc0c0bc6c618549a24a2f99 SHA512 bc661cf44f204f29741eba70b3d83bab1ab9deaca55b1c93c9ef7a25989b8d85cf16315aa8b9e2a205eb1cbad1d4875d9c61be6a48297baa5e6d64fd5b947cff
+DIST pytest_lazy_fixtures-1.3.4.tar.gz 34713 BLAKE2B 678e58ad012d35933d176896ace1cb81e0caa62a771f58fcc745dc7547c616db855375bb0cf38192de42d613a2e8a18824601d2333a1627830d1b076667c30ae SHA512 83217009fba64e57a26a32f2fb975be7ed6811a5c3cb60aff2fba7668f296e7e8ee6bf609df6d78c83b22634100b3de97d014618e325005d7e6e16d13dcc6d2c
diff --git a/dev-python/pytest-lazy-fixtures/pytest-lazy-fixtures-1.3.4.ebuild b/dev-python/pytest-lazy-fixtures/pytest-lazy-fixtures-1.3.4.ebuild
new file mode 100644
index 000000000000..652941844fc4
--- /dev/null
+++ b/dev-python/pytest-lazy-fixtures/pytest-lazy-fixtures-1.3.4.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Allows you to use fixtures in @pytest.mark.parametrize"
+HOMEPAGE="
+ https://github.com/dev-petrov/pytest-lazy-fixtures/
+ https://pypi.org/project/pytest-lazy-fixtures/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/pytest-7[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-fixture-classes[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+EPYTEST_PLUGINS=( "${PN}" )
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # test for pytest-deadfixtures compatibility
+ tests/test_deadfixtures_support.py
+)
diff --git a/dev-python/qiskit/Manifest b/dev-python/qiskit/Manifest
index 15bc0efb9af4..888926f5eb99 100644
--- a/dev-python/qiskit/Manifest
+++ b/dev-python/qiskit/Manifest
@@ -1,2 +1,3 @@
DIST qiskit-2.1.1-crates.tar.xz 15412164 BLAKE2B 24a65f0ec256c2f848102c039106ef0fecb33be0fb00494f0ca707285e224ade0efd1a4a6a557dc5dd7d2224924e2b94a4a4585d8a9030a310f0f1a999ac0713 SHA512 779aca54c2da20f2558f5fab2de0ee22c861f2edd88dea17e79d1f7f796eda9612bcf45a08a0647032049e67e9c467236b493cb02efcf199e2951109c316e53a
DIST qiskit-2.1.1.gh.tar.gz 7095152 BLAKE2B fa611f4a5e772ba66bc58bc2832f6779dee514b1956adfea03dc92f7745f607e0f7654d018f3b501f9f1ce740875c60b14c2d3c92142240ce324a6b91daa8f6a SHA512 7eade06c30c264979ceaffb2cd948dfea358973351165a66472150ab8e6bfc73e6c2c5107b4024352efcc01bea9beea897ac4fbc389e81df79e07e54f2673851
+DIST qiskit-2.1.2.gh.tar.gz 7100760 BLAKE2B 01f5789f20d1c73e73000ec87579981380d201b4d614dbfd7974d603c031de2a567e42c41f4552442805eb38b729784442a1e04e36054ba0c0a44a68b7410ad4 SHA512 a2e435f2523f538c922c868bf1fb303143f2efe4f3f70fe286d25fe467c454888f4fe7dc81b94e30e134e15446c6f3364a9ee932b5229952cb178e5db019ac1d
diff --git a/dev-python/qiskit/qiskit-2.1.2.ebuild b/dev-python/qiskit/qiskit-2.1.2.ebuild
new file mode 100644
index 000000000000..ed931de65ffd
--- /dev/null
+++ b/dev-python/qiskit/qiskit-2.1.2.ebuild
@@ -0,0 +1,109 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+RUST_MIN_VER="1.81.0"
+
+inherit cargo distutils-r1
+
+MY_P=${P/_}
+CRATE_PV=2.1.1
+DESCRIPTION="An open-source SDK for working with quantum computers"
+HOMEPAGE="
+ https://github.com/Qiskit/qiskit/
+ https://pypi.org/project/qiskit/
+"
+SRC_URI="
+ https://github.com/Qiskit/qiskit/archive/${PV/_}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+ ${CARGO_CRATE_URIS}
+ https://github.com/gentoo-crate-dist/qiskit/releases/download/${CRATE_PV/_}/${PN}-${CRATE_PV}-crates.tar.xz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 MIT MPL-2.0
+ Unicode-3.0 ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+visualization"
+
+RDEPEND="
+ >=dev-python/dill-0.3[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.17[${PYTHON_USEDEP}]
+ >=dev-python/python-constraint-1.4[${PYTHON_USEDEP}]
+ >=dev-python/rustworkx-0.15.0[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.5[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-3.0.0[${PYTHON_USEDEP}]
+ visualization? (
+ >=dev-python/matplotlib-3.3[${PYTHON_USEDEP}]
+ dev-python/pydot[${PYTHON_USEDEP}]
+ >=dev-python/pillow-4.2.1[${PYTHON_USEDEP}]
+ >=dev-python/pylatexenc-1.4[${PYTHON_USEDEP}]
+ >=dev-python/seaborn-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/symengine-0.11.0[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.3[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ >=dev-python/cython-0.27.1[${PYTHON_USEDEP}]
+ test? (
+ app-text/poppler[png]
+ >=dev-python/ddt-1.4.4[${PYTHON_USEDEP}]
+ >=dev-python/networkx-2.2[${PYTHON_USEDEP}]
+ >=dev-python/qiskit-aer-0.14[${PYTHON_USEDEP}]
+ >=dev-python/scikit-learn-0.20.0[${PYTHON_USEDEP}]
+ )
+"
+
+# Files built without CFLAGS/LDFLAGS, acceptable for rust
+QA_FLAGS_IGNORED="
+ usr/lib.*/py.*/site-packages/qiskit/_accelerate.*.so
+ usr/lib.*/py.*/site-packages/qiskit/_qasm2.*.so
+"
+
+EPYTEST_PLUGINS=( hypothesis )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # strip forcing -Werror from tests that also leaks to other packages
+ sed -i -e '/filterwarnings.*error/d' test/utils/base.py || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/python/circuit/test_equivalence.py::TestEquivalenceLibraryVisualization::test_equivalence_draw
+ test/python/transpiler/test_unitary_synthesis_plugin.py::TestUnitarySynthesisPlugin
+ test/python/visualization/test_dag_drawer.py::TestDagDrawer::test_dag_drawer_no_register
+ # tiny image differences, sigh
+ test/python/visualization/test_gate_map.py::TestGateMap::test_plot_error_map_over_100_qubit
+ # TODO: failures from dill
+ test/python/circuit/test_parameters.py::TestParameters::test_transpiling_multiple_parameterized_circuits
+ test/python/compiler/test_transpiler.py::TestTranspile::test_delay_converts_expr_to_dt
+ test/python/compiler/test_transpiler.py::TestTranspile::test_transpile_two
+ test/python/transpiler/test_naming_transpiled_circuits.py::TestNamingTranspiledCircuits::test_multiple_circuits_name_list
+ )
+
+ local EPYTEST_IGNORE=(
+ # Breaks xdist
+ test/python/qasm2/test_parse_errors.py
+ test/python/transpiler/test_preset_passmanagers.py
+ )
+
+ rm -rf qiskit || die
+ # Run the Python test suite rather than everything under test/ which
+ # includes the 'randomized' suite. Upstream run that in a separate CI job.
+ epytest test/python
+}
diff --git a/dev-python/ruamel-yaml/Manifest b/dev-python/ruamel-yaml/Manifest
index d9e8197886f8..63001edcd2f4 100644
--- a/dev-python/ruamel-yaml/Manifest
+++ b/dev-python/ruamel-yaml/Manifest
@@ -1 +1,2 @@
DIST ruamel.yaml-0.18.14.tar.xz 200428 BLAKE2B 805467fc7e572d3b0157ab734a864ea065e0ce74252a867498db0406606359e1c416dfad268cfc105ff00fe5f68ff37f64a4b1d50822bf48372ec583a420b70b SHA512 1245dbaf184cf98257df5d78c32f3775acf4873cb0696b852cf145cdcb7bd0c24c3c4bac5470f18341537a04fa56df4629b554d742341de3774cc78cdd0d1f8a
+DIST ruamel.yaml-0.18.15.tar.xz 201180 BLAKE2B c5c41ff80a988b0f003cb832e42df39d82c07d54f5ff9d1defc3e9d60ae18dfbd394c9f132879e84043abc4282319682edfe99109a76e870ead1fe42c137c74d SHA512 1802ae9428078aa580ed7fb0d787e021db142c49d26e89745bf2130af4738c850d0aafb5ae9e091f934b6d20ec7275c3fcd4506591617dbdc396bac377bdf243
diff --git a/dev-python/ruamel-yaml/ruamel-yaml-0.18.15.ebuild b/dev-python/ruamel-yaml/ruamel-yaml-0.18.15.ebuild
new file mode 100644
index 000000000000..08a01ff783fd
--- /dev/null
+++ b/dev-python/ruamel-yaml/ruamel-yaml-0.18.15.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+MY_P="${P/-/.}"
+DESCRIPTION="YAML parser/emitter that supports roundtrip comment preservation"
+HOMEPAGE="
+ https://pypi.org/project/ruamel.yaml/
+ https://sourceforge.net/projects/ruamel-yaml/
+"
+# PyPI tarballs do not include tests
+SRC_URI="https://downloads.sourceforge.net/ruamel-dl-tagged-releases/${MY_P}.tar.xz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/ruamel-yaml-clib[${PYTHON_USEDEP}]
+ !dev-python/namespace-ruamel
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # Old PyYAML tests from lib/ require special set-up and are
+ # invoked indirectly via test_z_olddata, tell pytest itself
+ # to leave the subdir alone.
+ _test/lib/
+ )
+
+ # this is needed to keep the tests working while
+ # dev-python/namespace-ruamel is still installed
+ distutils_write_namespace ruamel
+ epytest
+}
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 2bfd501c6546..4ad23d1f2c06 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -1,7 +1,4 @@
DIST sqlglot-26.33.0-crates.tar.xz 8859792 BLAKE2B abb2051b392c53dc3caa705ddd8df7076819a26dcdaa89fa3760559a79578db01e86943c2d0ffb8006263c2dca3aa50d20023eae9d772f8ebd12a8a2d3266cdd SHA512 7cca439a06433a62bcd4a2af33d240f46e9b5240cc158edbc654efb37a464aa0f1ebbe9749b2fc6352127b4809b63af2341fac6240050c414e578ae99444ba5d
DIST sqlglot-26.33.0.tar.gz 5353340 BLAKE2B 18ace866ec89ced24911803497e8cb5c55fc6c157bf62b893e90df914b8be3360403ffff67f196080cdef9b9b9078b86d471494ae9768e7947a8b4d5d39e49af SHA512 df38e899d59bdd07aca0e5370833133308f9c5be4d0c990bf8112a48776fae034b622938aba968769aa5dc5e2957d56da48c89045b91b2d33783e6e25acc4a7b
-DIST sqlglot-27.5.1-crates.tar.xz 8859792 BLAKE2B abb2051b392c53dc3caa705ddd8df7076819a26dcdaa89fa3760559a79578db01e86943c2d0ffb8006263c2dca3aa50d20023eae9d772f8ebd12a8a2d3266cdd SHA512 7cca439a06433a62bcd4a2af33d240f46e9b5240cc158edbc654efb37a464aa0f1ebbe9749b2fc6352127b4809b63af2341fac6240050c414e578ae99444ba5d
-DIST sqlglot-27.5.1.tar.gz 5406588 BLAKE2B cdd541c15c314b96c52610fbbae4fba4bda96e76983ead1d2f145c234d6b54bb267c8dec342dde83d3b691233956288f6accc26ee5fa53cd4ead64cd76e1cd74 SHA512 435ce78f58bffe402d859c995d503142b83ea96dbe259c5d1e7037d33c1cf49f4b604da3b3cd1f77652334bd4482c8929f3d35f8174b0b258f5d5e3edac7596b
-DIST sqlglot-27.6.0-crates.tar.xz 8859792 BLAKE2B abb2051b392c53dc3caa705ddd8df7076819a26dcdaa89fa3760559a79578db01e86943c2d0ffb8006263c2dca3aa50d20023eae9d772f8ebd12a8a2d3266cdd SHA512 7cca439a06433a62bcd4a2af33d240f46e9b5240cc158edbc654efb37a464aa0f1ebbe9749b2fc6352127b4809b63af2341fac6240050c414e578ae99444ba5d
-DIST sqlglot-27.6.0.tar.gz 5409152 BLAKE2B 4de40e48e39842903c082d52fa57af8db99726abbbb47af1b618f651460a6c01f8b7233cc481412d2f0cc5d214a7723a8eb83de26e508a4d1eee75b7aa2c9622 SHA512 8033fbce129ff7f32865bbb6f3121a4c0a74d097e424458ddce494492bd8fa4a905f022275bdca49bd4d62c5f1f8774cdb5be6d57c273fc1fdfe40793f22e66a
DIST sqlglot-27.7.0.tar.gz 5414964 BLAKE2B 2efcebbe2934dd998383a73712e42b06100897c3414c95f9b9b6c31672e93dc3a610a68bbd5876e83c79bb38d59c24341de8399b74112b2aa20249a5b72ce360 SHA512 c373d23389ba52b69fa82ac48c116db98706aab7c9309207c9057e6bca2c11378d6281658cdd1a1535f66954b0c599aecbfa218f697c329bf637dc1d43262817
+DIST sqlglot-27.8.0.tar.gz 5418660 BLAKE2B 1031d80e99f8ea0bfed14de69a38f0a78a8786172476f7db7c034ff3f6e19f3c06a80c2dc916b6612095de6ec391396a28d8056576282ea50fb4214d2f60760c SHA512 9dd51ffc3843b5f1323e8035777d76b979b3fb876f2f95c8f5a80d079c7d38daf3f951729283fd330156cd02ba0a67a74f4704108bda384e703253884fb21a15
diff --git a/dev-python/sqlglot/sqlglot-27.6.0.ebuild b/dev-python/sqlglot/sqlglot-27.6.0.ebuild
deleted file mode 100644
index aa0c5230423e..000000000000
--- a/dev-python/sqlglot/sqlglot-27.6.0.ebuild
+++ /dev/null
@@ -1,179 +0,0 @@
-# Copyright 2023-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-CRATES="
- aho-corasick@1.1.3
- anes@0.1.6
- anstyle@1.0.10
- autocfg@1.1.0
- bumpalo@3.16.0
- cast@0.3.0
- cfg-if@1.0.0
- ciborium-io@0.2.2
- ciborium-ll@0.2.2
- ciborium@0.2.2
- clap@4.5.23
- clap_builder@4.5.23
- clap_lex@0.7.4
- criterion-plot@0.5.0
- criterion@0.5.1
- crossbeam-deque@0.8.6
- crossbeam-epoch@0.9.18
- crossbeam-utils@0.8.21
- crunchy@0.2.2
- either@1.13.0
- half@2.4.1
- heck@0.5.0
- hermit-abi@0.4.0
- indoc@2.0.4
- is-terminal@0.4.13
- itertools@0.10.5
- itoa@1.0.14
- js-sys@0.3.76
- libc@0.2.169
- log@0.4.22
- memchr@2.7.4
- memoffset@0.9.0
- num-traits@0.2.19
- once_cell@1.19.0
- oorandom@11.1.4
- plotters-backend@0.3.7
- plotters-svg@0.3.7
- plotters@0.3.7
- portable-atomic@1.9.0
- proc-macro2@1.0.89
- pyo3-build-config@0.25.0
- pyo3-ffi@0.25.0
- pyo3-macros-backend@0.25.0
- pyo3-macros@0.25.0
- pyo3@0.25.0
- quote@1.0.37
- rayon-core@1.12.1
- rayon@1.10.0
- regex-automata@0.4.9
- regex-syntax@0.8.5
- regex@1.11.1
- rustc-hash@2.1.0
- ryu@1.0.18
- same-file@1.0.6
- serde@1.0.216
- serde_derive@1.0.216
- serde_json@1.0.133
- syn@2.0.87
- target-lexicon@0.13.2
- tinytemplate@1.2.1
- unicode-ident@1.0.12
- unindent@0.2.3
- walkdir@2.5.0
- wasm-bindgen-backend@0.2.99
- wasm-bindgen-macro-support@0.2.99
- wasm-bindgen-macro@0.2.99
- wasm-bindgen-shared@0.2.99
- wasm-bindgen@0.2.99
- web-sys@0.3.76
- winapi-util@0.1.9
- windows-sys@0.52.0
- windows-sys@0.59.0
- windows-targets@0.52.6
- windows_aarch64_gnullvm@0.52.6
- windows_aarch64_msvc@0.52.6
- windows_i686_gnu@0.52.6
- windows_i686_gnullvm@0.52.6
- windows_i686_msvc@0.52.6
- windows_x86_64_gnu@0.52.6
- windows_x86_64_gnullvm@0.52.6
- windows_x86_64_msvc@0.52.6
-"
-
-CARGO_OPTIONAL=1
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{11..14} )
-
-inherit cargo distutils-r1 pypi optfeature
-
-DESCRIPTION="An easily customizable SQL parser and transpiler"
-HOMEPAGE="
- https://sqlglot.com/
- https://github.com/tobymao/sqlglot/
- https://pypi.org/project/sqlglot/
-"
-SRC_URI+="
- native-extensions? (
- https://github.com/gentoo-crate-dist/sqlglot/releases/download/v${PV}/${P}-crates.tar.xz
- )
-"
-
-LICENSE="MIT"
-LICENSE+=" native-extensions? ("
-# Dependent crate licenses
-LICENSE+="
- Apache-2.0 Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016
-"
-LICENSE+=" )"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="+native-extensions"
-
-BDEPEND="
- native-extensions? (
- ${RUST_DEPEND}
- dev-util/maturin[${PYTHON_USEDEP}]
- )
- test? (
- dev-python/pytz[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_PLUGINS=()
-distutils_enable_tests pytest
-
-QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
-
-pkg_setup() {
- use native-extensions && rust_pkg_setup
-}
-
-src_unpack() {
- cargo_src_unpack
-}
-
-python_compile() {
- distutils-r1_python_compile
-
- if use native-extensions; then
- local DISTUTILS_USE_PEP517=maturin
- local DISTUTILS_UPSTREAM_PEP517=maturin
- cd sqlglotrs || die
- distutils-r1_python_compile
- cd - >/dev/null || die
- fi
-}
-
-python_test() {
- local EPYTEST_DESELECT=(
- # timing, sigh
- # https://github.com/tobymao/sqlglot/issues/3961
- tests/test_generator.py::TestGenerator::test_generate_nested_binary
- )
- local EPYTEST_IGNORE=(
- # Tests require pyspark or duckdb which aren't in the tree.
- # Pandas would be a requirement normally, but it gets ignored by proxy.
- "tests/dataframe/integration/test_dataframe.py"
- "tests/dataframe/integration/test_grouped_data.py"
- "tests/dataframe/integration/test_session.py"
- "tests/test_executor.py"
- "tests/test_optimizer.py"
- )
-
- # make sure not to use an earlier installed version
- local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
- rm -rf sqlglotrs || die
- epytest
-}
-
-pkg_postinst() {
- optfeature "simplifying timedelta expressions" dev-python/python-dateutil
-}
diff --git a/dev-python/sqlglot/sqlglot-27.5.1.ebuild b/dev-python/sqlglot/sqlglot-27.8.0.ebuild
index aa0c5230423e..dd19ceb9d941 100644
--- a/dev-python/sqlglot/sqlglot-27.5.1.ebuild
+++ b/dev-python/sqlglot/sqlglot-27.8.0.ebuild
@@ -91,6 +91,7 @@ CARGO_OPTIONAL=1
DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{11..14} )
+CRATE_PV=26.33.0
inherit cargo distutils-r1 pypi optfeature
@@ -102,7 +103,7 @@ HOMEPAGE="
"
SRC_URI+="
native-extensions? (
- https://github.com/gentoo-crate-dist/sqlglot/releases/download/v${PV}/${P}-crates.tar.xz
+ https://github.com/gentoo-crate-dist/sqlglot/releases/download/v${CRATE_PV}/sqlglot-${CRATE_PV}-crates.tar.xz
)
"
diff --git a/dev-python/time-machine/Manifest b/dev-python/time-machine/Manifest
index 4445a117cabb..059f25166e48 100644
--- a/dev-python/time-machine/Manifest
+++ b/dev-python/time-machine/Manifest
@@ -1,3 +1,4 @@
DIST time-machine-2.16.0.gh.tar.gz 30522 BLAKE2B 71b1d2848bd0a72d193b262299976da4aeac3deb52776ebcc855dfc9e6eabc8d9459c123980d7b0b9e29bc2df66193f287a4817ec351ae43994b969731da7bc9 SHA512 19b764cccdff07056a7d42841da576d90037661a9f124e3fbab408bfa61dccf4b51b88a7e0741c87b03e7a8cc3306bb0ed32bd66588e45c9ab7e9d9cb5ba44ae
DIST time-machine-2.17.0.gh.tar.gz 72389 BLAKE2B b1c926c691086bddfefec77b101a0f99404c4d48907ae07e380a4dea2dee42b04543efc357759c10758bd8b2ee1f8989af21fb024d9e4534f4d76d7394a4b582 SHA512 adf7236588daf3362abce6034c1ee3ed60c0533b4340010ad62d83d2480c9082a17653ae1efd2db6bd04b233e33a9fd7e6fc2e8d2fea6fca05c31543e9447c35
DIST time-machine-2.18.0.gh.tar.gz 77005 BLAKE2B 9bab547de40fabc0f412ed97ab8829a991974ae0c8644a6520c4aa1270c9c822f58ecfab30fda12b03cf97f08ad813a779974742dff09624bbbec1d2ac74ff4e SHA512 ccc510a2b9678c651546e186f21a6e69042e67318dea25904126c3ff8d97ca1e5924b3409f6cde0d9792b2a27f5a3d371de91366e944af28fda7de518a0a6fea
+DIST time-machine-2.19.0.gh.tar.gz 78404 BLAKE2B 3682f71881c6ca619269a827fb6b0bb4af27deef42a128e67784cfbec92f73523463f25341b1afaf92591578d4ec50e75593cba54b663cae120188b35918ce91 SHA512 1efa686a0b647cede3ee20a89bfe03b1be7b97042a3e75939fa26665f8a781c99bc96f98fdbeeedba6e5ca62521f9e7283a82af25e412c17099235e84c64eed6
diff --git a/dev-python/time-machine/time-machine-2.19.0.ebuild b/dev-python/time-machine/time-machine-2.19.0.ebuild
new file mode 100644
index 000000000000..eecbf24bd2b9
--- /dev/null
+++ b/dev-python/time-machine/time-machine-2.19.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Travel through time in your tests"
+HOMEPAGE="
+ https://github.com/adamchainz/time-machine/
+ https://pypi.org/project/time-machine/
+"
+SRC_URI="
+ https://github.com/adamchainz/time-machine/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/tokenize-rt[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+EPYTEST_PLUGINS=( "${PN}" )
+distutils_enable_tests pytest
diff --git a/dev-python/wrapt/Manifest b/dev-python/wrapt/Manifest
index fa9a81d3b826..1dc39ed1fa9a 100644
--- a/dev-python/wrapt/Manifest
+++ b/dev-python/wrapt/Manifest
@@ -1,2 +1,3 @@
DIST wrapt-1.17.2.gh.tar.gz 140660 BLAKE2B 58e9da7bb250a614717d18a20c61a0f6f45e77aa9c90e13be21e8e4094a1d24516d6388e15997cbbca296abb976bac0ce42f720f74fe4946d000dd570bca0da4 SHA512 12a6e610f180ce34a7edad39225b54f62d58d487e8b3379321e00e0d0c1b265a5a570de15ec5e5a6b38748052617dbb486f802ae924ab48b51b3ccd40d1170bf
DIST wrapt-1.17.3.gh.tar.gz 140900 BLAKE2B 88c4cd718cd98a97c866c4f0b9f7e095347fe6fa5fed60c54e389329c89f9f07099c8fb79561cf5e12c19c44a4067d81e805c55b54a74429e6b75913dedd6b3f SHA512 1a1f7419f20faa461a9e23ad09cc98d381ef2c48b3b24ed1dfe98d42d16857a958252301e78dd41b7fa8ef37eea379f9244cace2b396b49718c44cbc701308a3
+DIST wrapt-2.0.0rc2.gh.tar.gz 172612 BLAKE2B dd5cf512bab623d591226bbff0c3339763ca0c5a215f1aa10f330b65292e196132bfd2ab003cb912c034bc6723fb142f5b495151b328a7064419c34190e910e2 SHA512 6d9ba92bfce02f219e99bdde466d24565d119388372ef6ef032160010760dbda27f99252812fa8e78df749346c961fc514b1a014d146f77b9024d9b3ff37755b
diff --git a/dev-python/wrapt/wrapt-2.0.0_rc2.ebuild b/dev-python/wrapt/wrapt-2.0.0_rc2.ebuild
new file mode 100644
index 000000000000..b5a59ade82de
--- /dev/null
+++ b/dev-python/wrapt/wrapt-2.0.0_rc2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/_}
+DESCRIPTION="Module for decorators, wrappers and monkey patching"
+HOMEPAGE="
+ https://github.com/GrahamDumpleton/wrapt/
+ https://pypi.org/project/wrapt/
+"
+SRC_URI="
+ https://github.com/GrahamDumpleton/wrapt/archive/${PV/_}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="+native-extensions"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+distutils_enable_sphinx docs dev-python/sphinx-rtd-theme
+
+python_compile() {
+ local -x WRAPT_INSTALL_EXTENSIONS=$(usex native-extensions true false)
+ distutils-r1_python_compile
+}